Shop
These API endpoints are related to the IBL shop.
shop/public-couponsGet Shop Coupons
Gets the publicly viewable shop coupons on the list
Success
shop/itemsGet Shop Items
Gets the publicly viewable shop items on the list
Success
shop/item-benefitsGet Shop Items
Gets the publicly viewable shop items on the list
Success
{target_type}/{target_id}/shop/purchasesGet Shop Purchases
Returns the purchase history for an entity.
Path Parameters
target_typeRequiredstring
The target type of the entity
target_idRequiredstring
The target ID of the entity
Success
{target_type}/{target_id}/shop/purchasePurchase Shop Item
Spends an entity's earned vote credits on a shop item, optionally discounted by a coupon code. Returns a 204 on success.
Authorization
User-Auth<token>
Requires a user token. Should be prefixed with User in Authorization header.
In: header
Bot-Auth<token>
Requires a bot token. Should be prefixed with Bot in Authorization header.
In: header
Server-Auth<token>
Requires a server API session token. Should be prefixed with Server in Authorization header.
In: header
Team-Auth<token>
Requires a team API session token. Should be prefixed with Team in Authorization header.
In: header
Request Body
application/jsonRequiredcoupon_codestring
An optional coupon code to apply to this purchase
item_idstring
Path Parameters
target_typeRequiredstring
The target type of the entity
target_idRequiredstring
The target ID of the entity
Success